Bug 270674

Summary: Ship miscellaneous icons with contact list
Product: telepathy Reporter: George Goldberg <grundleborg>
Component: contactlistAssignee: Telepathy Bugs <kde-telepathy-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: alinm.elena, scarpino
Priority: NOR    
Version: unspecified   
Target Milestone: 0.4.0   
Platform: Unlisted Binaries   
OS: Linux   
Latest Commit: Version Fixed In:
Bug Depends on:    
Bug Blocks: 232378, 271283    

Description George Goldberg 2011-04-11 12:24:36 UTC
Most of our icons should be (and probably are - check this) upstream in Oxygen. Those that aren't should either be upstreamed or shipped with the contactlist for now. In future, if we ship any of them, we'll do it with telepathy-kde library, but since that is not going to be a part of this first release, put them with the contact list for now.

Assigned to d_ed at 10th April IRC Meeting.
Comment 1 George Kiagiadakis 2011-04-20 14:06:24 UTC
I think the only missing icon from oxygen-icons is the "telepathy" icon. I guess this is not part of oxygen-icons as it is an application icon and should be installed in the hicolor icon theme.
Comment 2 George Goldberg 2011-04-20 16:00:54 UTC
According to Domme, Nuno is creating a new set of icons for all our stuff, and those icons in telepathy-kde are just the temporary ones to tide us over until the new ones are done. Since there is no specific ETA for the new ones, we need to continue to ship all the ones in telepathy-kde/icons for the first release.
Comment 3 George Goldberg 2011-04-20 16:14:34 UTC
Update: as said in the previous comment, the oxygen replacements are still under development. In the meantime, we should ship the icons from Kopete sources. However, these are incorrectly named as Oxygen, and should instead be moved to the correct "hicolor" namespace when we ship them. Once the new Oxygen icons are completely finished, then we can stop shipping our hicolor ones from Kopete.
Comment 4 George Goldberg 2011-04-20 16:16:21 UTC
Also, since David is really busy, I'll do a patch for this.
Comment 5 George Goldberg 2011-05-02 19:39:02 UTC
Argh sorry. I still haven't done this, and with exams now imminent I don't think I'll get it done in time for the first release. Can someone else take over this bug?

Comment #3 explains what needs doing, and for the sake of simplicity, just make the contact-list install all the icons (I know it might not be the ideal place, but it'll do for just this first release).
Comment 6 Alin M Elena 2011-05-02 22:18:05 UTC
Hi,

I did something on icons
one should get the icons.tar.bz2 and commit it to the cl
and apply the icons.diff to cl CMakeLists 

https://build.opensuse.org/package/files?package=telepathy-contact-list&project=home%3Aealin%3Akde-telepathy

Alin
Comment 7 Martin Klapetek 2011-05-03 15:15:37 UTC
Git commit eef1c4f4e75b5adbaf22b0f3ce1f899760510884 by Martin Klapetek, on behalf of Alin M Elena.
Committed on 03/05/2011 at 15:24.
Pushed by mklapetek into branch 'master'.

Add misc. icons

BUG: 270674

M  +2    -0    CMakeLists.txt     
A  +5    -0    icons/CMakeLists.txt         [License: UNKNOWN]  *
A  +37521 -0    icons/action-im-aim.svg         [License: UNKNOWN]  *
A  +74377 -0    icons/action-im-bonjour.svg         [License: UNKNOWN]  *
A  +38382 -0    icons/action-im-icq.svg         [License: UNKNOWN]  *
A  +21749 -0    icons/action-im-im-jabber.svg         [License: UNKNOWN]  *
A  +21749 -0    icons/action-im-jabber.svg         [License: UNKNOWN]  *
A  +74377 -0    icons/action-im-local-xmpp.svg         [License: UNKNOWN]  *
A  +-    --    icons/action-im-msn.svgz         [License: Trivial file]
A  +-    --    icons/hi128-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi128-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-aim.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-gadu.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-groupwise.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-icq.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-irc.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-jabber.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-local-xmpp.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-meanwhile.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-msn.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-qq.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-yahoo.png         [License: Trivial file]
A  +-    --    icons/hi16-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-aim.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-groupwise.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-icq.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-jabber.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-local-xmpp.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-meanwhile.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-msn.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-qq.png         [License: Trivial file]
A  +-    --    icons/hi22-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi256-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-aim.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-gadu.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-groupwise.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-icq.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-irc.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-jabber.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-local-xmpp.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-meanwhile.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-msn.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-qq.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-yahoo.png         [License: Trivial file]
A  +-    --    icons/hi32-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi48-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi48-action-im-groupwise.png         [License: Trivial file]
A  +-    --    icons/hi48-action-im-local-xmpp.png         [License: Trivial file]
A  +-    --    icons/hi48-action-im-meanwhile.png         [License: Trivial file]
A  +-    --    icons/hi48-action-im-qq.png         [License: Trivial file]
A  +-    --    icons/hi48-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi512-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi64-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi64-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-aim.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-facebook.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-google-talk.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-icq.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-jabber.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-msn.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-skype.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-yahoo.png         [License: Trivial file]

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/telepathy-contact-list/eef1c4f4e75b5adbaf22b0f3ce1f899760510884
Comment 8 Andrea Scarpino 2011-05-03 21:11:02 UTC
These are conflicting with oxygen-icons 4.6.2 and 4.6.3

/usr/share/icons/oxygen/48x48/actions/im-aim.png
/usr/share/icons/oxygen/48x48/actions/im-google-talk.png
/usr/share/icons/oxygen/48x48/actions/im-icq.png
/usr/share/icons/oxygen/48x48/actions/im-msn.png
/usr/share/icons/oxygen/48x48/actions/im-skype.png
/usr/share/icons/oxygen/48x48/actions/im-yahoo.png
/usr/share/icons/oxygen/48x48/actions/im-facebook.png
/usr/share/icons/oxygen/48x48/actions/im-jabber.png
Comment 9 David Edmundson 2011-05-05 22:30:16 UTC
Git commit 96200515abcf83131453df33c78c1f13a4c873ca by David Edmundson, on behalf of Alin M Elena.
Committed on 03/05/2011 at 15:24.
Pushed by davidedmundson into branch 'master'.

Add misc. icons

BUG: 270674

M  +2    -0    CMakeLists.txt     
A  +5    -0    icons/CMakeLists.txt         [License: UNKNOWN]  *
A  +37521 -0    icons/action-im-aim.svg         [License: UNKNOWN]  *
A  +74377 -0    icons/action-im-bonjour.svg         [License: UNKNOWN]  *
A  +38382 -0    icons/action-im-icq.svg         [License: UNKNOWN]  *
A  +21749 -0    icons/action-im-im-jabber.svg         [License: UNKNOWN]  *
A  +21749 -0    icons/action-im-jabber.svg         [License: UNKNOWN]  *
A  +74377 -0    icons/action-im-local-xmpp.svg         [License: UNKNOWN]  *
A  +-    --    icons/action-im-msn.svgz         [License: Trivial file]
A  +-    --    icons/hi128-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi128-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-aim.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-gadu.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-groupwise.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-icq.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-irc.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-jabber.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-local-xmpp.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-meanwhile.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-msn.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-qq.png         [License: Trivial file]
A  +-    --    icons/hi16-action-im-yahoo.png         [License: Trivial file]
A  +-    --    icons/hi16-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-aim.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-groupwise.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-icq.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-jabber.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-local-xmpp.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-meanwhile.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-msn.png         [License: Trivial file]
A  +-    --    icons/hi22-action-im-qq.png         [License: Trivial file]
A  +-    --    icons/hi22-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi256-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-aim.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-gadu.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-groupwise.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-icq.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-irc.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-jabber.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-local-xmpp.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-meanwhile.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-msn.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-qq.png         [License: Trivial file]
A  +-    --    icons/hi32-action-im-yahoo.png         [License: Trivial file]
A  +-    --    icons/hi32-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi48-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi48-action-im-groupwise.png         [License: Trivial file]
A  +-    --    icons/hi48-action-im-local-xmpp.png         [License: Trivial file]
A  +-    --    icons/hi48-action-im-meanwhile.png         [License: Trivial file]
A  +-    --    icons/hi48-action-im-qq.png         [License: Trivial file]
A  +-    --    icons/hi48-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi512-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/hi64-action-im-bonjour.png         [License: Trivial file]
A  +-    --    icons/hi64-apps-telepathy.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-aim.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-facebook.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-google-talk.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-icq.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-jabber.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-msn.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-skype.png         [License: Trivial file]
A  +-    --    icons/ox48-action-im-yahoo.png         [License: Trivial file]

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/telepathy-contact-list/96200515abcf83131453df33c78c1f13a4c873ca